### Enumeration

# WebKit XRSessionMode

since: 2.52

#### Declaration

    enum WebKit.XRSessionMode

#### Description [src]

Enum values representing the XR session mode.

See https://immersive-web.github.io/webxr/#xrsessionmode-enum.

Available since: 2.52

#### Members

`WEBKIT_XR_SESSION_MODE_INLINE`

  Inline session mode.

  - Value: `0`
  - Available since: 2.52
`WEBKIT_XR_SESSION_MODE_IMMERSIVE_VR`

  Immersive-vr session mode.

  - Value: `1`
  - Available since: 2.52
`WEBKIT_XR_SESSION_MODE_IMMERSIVE_AR`

  Immersive-ar session mode.

  - Value: `2`
  - Available since: 2.52